Collect
/- Sends out a preview of the CRC notification email
Returns the default payment template
Returns the default payment template
Initiates workflow to warm up inventory transactions
Processes a payment
Execute Batch Operations
Returns a list of records with the specified batch_id
Returns a list of records with the specified contact_id
Emails an HTML version of the payment
Returns a list of records with the specified order_id
Returns a list of records with the specified organization_id
Returns a list of records with the specified owner
Gets all of the payments in the system for a given contact.
Returns a payment from the system by its ID for a given contact.
Gets all of the payments in the system for a given organization.
Returns a payment from the system by its ID for a given organization.
Sends out a preview of the notification template
Generates a PDF and returns the public link for download
Processes a public payment
Processes a public payment
Generates a PDF and returns the public link for download
Searches for payments using predefined parameters
This is a synchronous processing and should be used exclusively. The old way (via step function) is deprecated.
Returns a payment from the system by its ID.
Returns a payment from the system by its ID.
Partially updates a payment with the specified ID.
Updates a payment with the specified ID.
Initiates a payment reversal
Initiates a payment reversal
Initiates a payment void
Initiates a payment void
Sends out a preview of th...
Sends out a preview of the CRC notification email
Security
knox-authorizer
The domain_name to use to for record lookup
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/payments/{tenantId}/previewEmail
- https://collect.api.rhythmsoftware.comhttps://collect.api.rhythmsoftware.com/payments/{tenantId}/previewEmail
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/payments/{tenantId}/previewEmail' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"contact_id": "string",
"customer_type": "string",
"destination_email_address": "string",
"email_template": {
"bcc": "string",
"body": "string",
"cc": "string",
"from": "string",
"from_name": "string",
"reply_to": "string",
"subject": "string"
},
"invoice_id": "string",
"organization_id": "string",
"payment_id": "string"
}'